Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.web.beans.request.view
Class AbstractViewBean

    java.lang.Object
      kieker.webgui.web.beans.request.view.AbstractViewBean

Direct Known Subclasses:
  CopyViewBean, EditViewBean, NewViewBean

    public abstract class AbstractViewBean

extends Object

This is the abstract base for the other request scoped view beans.

Author:
  Nils Christian Ehmke

Constructor Summary
`AbstractViewBean()` Default constructor.

Method Summary
`javax.faces.component.UIComponent` | `getMessageTarget()`
`String` | `getViewDescription()`
`String` | `getViewName()`
`void` | `initialize()` This method initializes the object.
`void` | `setMessageTarget(javax.faces.component.UIComponent messageTarget)`
`void` | `setViewDescription(String viewDescription)`
`void` | `setViewName(String projectName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractViewBean

    public AbstractViewBean()

  Default constructor.

Method Detail

### initialize

    @PostConstruct
    public void initialize()

  This method initializes the object. Do not call this method manually. It will only be accessed by Spring.

### getViewName

    public String getViewName()

### setViewName

    public void setViewName(String projectName)

### getViewDescription

    public String getViewDescription()

### setViewDescription

    public void setViewDescription(String viewDescription)

### getMessageTarget

    public javax.faces.component.UIComponent getMessageTarget()

### setMessageTarget

    public void setMessageTarget(javax.faces.component.UIComponent messageTarget)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.